| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# GaudiGSL::GaudiGSLConf::EqSolver Class Reference

List of all members.

## Detailed Description

Definition at line 143 of file GaudiGSLConf.py.

## Public Member Functions
def | __init__
def | getDlls
def | getType
## Static Private Attributes
dictionary | __slots__
dictionary | _propertyDocDct

## Member Function Documentation

def GaudiGSL::GaudiGSLConf::EqSolver::__init__ | ( |  | self,
|  |  | name = `Configurable.DefaultName`,
|  |  | kwargs |
| ) |  |  |

Definition at line 176 of file GaudiGSLConf.py.

    00176                                                                :
    00177       super(EqSolver, self).__init__(name)
    00178       for n,v in kwargs.items():
    00179          setattr(self, n, v)
      def getDlls( self ):

def GaudiGSL::GaudiGSLConf::EqSolver::getDlls | ( |  | self | ) |

Definition at line 180 of file GaudiGSLConf.py.

    00180                      :
    00181       return 'GaudiGSL'
      def getType( self ):

def GaudiGSL::GaudiGSLConf::EqSolver::getType | ( |  | self | ) |

Definition at line 182 of file GaudiGSLConf.py.

    00182                      :
    00183       return 'EqSolver'
      pass # class EqSolver

## Member Data Documentation

dictionary GaudiGSL::GaudiGSLConf::EqSolver::__slots__`[static, private]`

Initial value:

    {
        'MonitorService' : 'MonitorSvc', # str
        'OutputLevel' : 7, # int
        'AuditTools' : False, # bool
        'AuditInitialize' : False, # bool
        'AuditStart' : False, # bool
        'AuditStop' : False, # bool
        'AuditFinalize' : False, # bool
        'ErrorsPrint' : True, # bool
        'PropertiesPrint' : False, # bool
        'StatPrint' : True, # bool
        'TypePrint' : True, # bool
        'Context' : '', # str
        'RootInTES' : '', # str
        'RootOnTES' : '', # str
        'GlobalTimeOffset' : 0.0, # float
        'StatTableHeader' : ' |    Counter                                      |     #     |    sum     | mean/eff^* | rms/err^*  |     min     |     max     |', # str
        'RegularRowFormat' : ' | %|-48.48s|%|50t||%|10d| |%|11.7g| |%|#11.5g| |%|#11.5g| |%|#12.5g| |%|#12.5g| |', # str
        'EfficiencyRowFormat' : ' |*%|-48.48s|%|50t||%|10d| |%|11.5g| |(%|#9.6g| +- %|-#9.6g|)%%|   -------   |   -------   |', # str
        'UseEfficiencyRowFormat' : True, # bool
        'ContextService' : 'AlgContextSvc', # str
        'Algorithm' : 'fdfsolver_hybridsj', # str
        'Iteration' : 1000.0, # float
        'Residual' : 1e-07, # float
      }

Definition at line 144 of file GaudiGSLConf.py.

dictionary GaudiGSL::GaudiGSLConf::EqSolver::_propertyDocDct`[static, private]`

Initial value:

    {
        'StatTableHeader' : """ The header row for the output Stat-table """,
        'EfficiencyRowFormat' : """ The format for the regular row in the outptu Stat-table """,
        'RegularRowFormat' : """ The format for the regular row in the output Stat-table """,
        'UseEfficiencyRowFormat' : """ Use the special format for printout of efficiency counters """,
        'ContextService' : """ The name of Algorithm Context Service """,
      }

Definition at line 169 of file GaudiGSLConf.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiGSL/genConf/GaudiGSL/GaudiGSLConf.py